## uniklu-imager 0.2-1

=== Makefile ===
DST=debian/multiboot

all:

install:
	# config additions:
	mkdir -p $(DST)/etc/multiboot
	mkdir -p $(DST)/boot/grub
	cp -p menu.lst.template $(DST)/boot/grub/
	mkdir -p $(DST)/ramdisk
	cp -p etc/multiboot/multiboot.cfg $(DST)/etc/multiboot
	mkdir -p $(DST)/etc/init.d
	for i in etc/init.d/* ;do \
	  install -m 755 $$i $(DST)/etc/init.d/; \
	done
	

clean:
	rm -rf $(DST)/usr
	rm -rf $(DST)/etc

=== debian/changelog ===
uniklu-imager (0.2-1) unstable; urgency=low

  * New upstream release for karmic, first trial

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Thu, 10 Dec 2009 10:34:30 +0000

uniklu-imager (0.1-51) unstable; urgency=low

  * forward afs/cifshomes boot arameter to grub installation

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Wed, 09 Sep 2009 07:41:22 +0000

uniklu-imager (0.1-50) unstable; urgency=low

  * no eth0 in /etc/network/interfaces !

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 23 Jun 2009 07:19:39 +0000

uniklu-imager (0.1-49) unstable; urgency=low

  * add e1000e

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 19 May 2009 09:46:23 +0000

uniklu-imager (0.1-48) unstable; urgency=low

  * only use gawk instead of (bb?) awk

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Wed, 25 Mar 2009 08:28:45 +0000

uniklu-imager (0.1-47) unstable; urgency=low

  * still mkfs problems ...

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 24 Mar 2009 15:39:08 +0000

uniklu-imager (0.1-46) unstable; urgency=low

  * fix mkfs fails?

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 24 Mar 2009 14:22:25 +0000

uniklu-imager (0.1-45) unstable; urgency=low

  * remove umount bb link

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 24 Mar 2009 12:49:44 +0000

uniklu-imager (0.1-44) unstable; urgency=low

  * use non-busybox umount

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 24 Mar 2009 12:37:21 +0000

uniklu-imager (0.1-43) unstable; urgency=low

  * more debugging

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 24 Mar 2009 12:05:43 +0000

uniklu-imager (0.1-42) unstable; urgency=low

  * use partprobe after fdisk

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 24 Mar 2009 10:28:13 +0000

uniklu-imager (0.1-41) unstable; urgency=low

  * fix afs cache size if necessary

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 24 Mar 2009 07:22:32 +0000

uniklu-imager (0.1-40) unstable; urgency=low

  * fix fstab prepare step

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 24 Mar 2009 07:08:49 +0000

uniklu-imager (0.1-39) unstable; urgency=low

  * reboot after createimage
  * really kill root password

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Mon, 23 Mar 2009 17:06:25 +0000

uniklu-imager (0.1-38) unstable; urgency=low

  * fix grub install script

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Mon, 23 Mar 2009 11:08:10 +0000

uniklu-imager (0.1-37) unstable; urgency=low

  * include grub template file

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Mon, 23 Mar 2009 10:36:23 +0000

uniklu-imager (0.1-36) unstable; urgency=low

  * fix grub installation

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Mon, 23 Mar 2009 10:27:37 +0000

uniklu-imager (0.1-35) unstable; urgency=low

  * use FQDN in cups config

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Mon, 23 Mar 2009 07:55:45 +0000

uniklu-imager (0.1-34) unstable; urgency=low

  * pass hosname externally for cups-cron.sh

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Mon, 23 Mar 2009 07:52:57 +0000

uniklu-imager (0.1-33) unstable; urgency=low

  * reconfigure cups with "force" arg

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Mon, 23 Mar 2009 07:46:11 +0000

uniklu-imager (0.1-32) unstable; urgency=low

  * fix cups on install 

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Mon, 23 Mar 2009 07:31:27 +0000

uniklu-imager (0.1-31) unstable; urgency=low

  * rounding errors

 -- Debian Build User <build@build-deb>  Sun, 22 Mar 2009 22:47:33 +0000

uniklu-imager (0.1-30) unstable; urgency=low

  * more fixes for LOCAL stuff

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Sun, 22 Mar 2009 22:34:11 +0000

uniklu-imager (0.1-29) unstable; urgency=low

  * fix hostname on install, check/option for LOCAL partition, disable root
    password

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Sun, 22 Mar 2009 20:59:11 +0000

uniklu-imager (0.1-28) unstable; urgency=low

  * add resans after partitioning/formatting

 -- Debian Build User <build@build-deb>  Fri, 20 Mar 2009 14:48:42 +0000

uniklu-imager (0.1-27) unstable; urgency=low

  * syntax err in createimage

 -- Debian Build User <build@build-deb>  Fri, 20 Mar 2009 09:59:41 +0000

uniklu-imager (0.1-26) unstable; urgency=low

  * try fixing createimage boot target

 -- Debian Build User <build@build-deb>  Fri, 20 Mar 2009 07:53:43 +0000

uniklu-imager (0.1-25) unstable; urgency=low

  * fstab LOCAL stuff

 -- Debian Build User <build@build-deb>  Fri, 20 Mar 2009 07:37:45 +0000

uniklu-imager (0.1-24) unstable; urgency=low

  * first somehow working version

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Fri, 20 Mar 2009 07:02:51 +0000

uniklu-imager (0.1-1) unstable; urgency=low

  * initial release
  * use parts of former multiboot package at version 0.5-100

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Wed, 11 Feb 2009 07:19:02 +0000

=== debian/control ===
Source: uniklu-imager
Section: admin
Maintainer: Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>
Priority: optional
Build-Depends: cdbs
Standards-Version: 3.5.2


Package: uniklu-imager
Architecture: all
Depends: pump, module-init-tools | modutils, initramfs-tools, bash, grub, rsync, gawk, ext2resize, parted, partimage, util-linux, bc, ethtool, binutils, lvm2, mdadm, bind9-host
Suggests: openafs-client, heimdal-clients, libpam-openafs-session, libnss-ldap, libpam-krb5, strace, nscd, uniklu-profile, libpam-mount, ntpdate, expect, portmap, libpam-unixds, libpam-linux-uniklu, stunnel4, ntfsprogs, smbfs
Description: initramfs and init script modifications for generating/installing images
 This package contains the scripts and configuration snippets which help
 to generate and install installation images.

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Looking in which build system we are
BUILD_SYSTEM := $(shell lsb_release --short --id)

build:
	dh_testdir

	set -e; \
	#for x in scripts/*image scripts/*-bottom/* \
	#          scripts/*-top/*  scripts/*-premount/*; do \
	#	sh -n $$x || echo failed: $$x; \
	#done

clean:
	dh_testdir

	dh_clean

install: build
	dh_testdir
	dh_clean -k
	dh_installdirs
	dh_install
	#install -m755 casper-md5check/casper-md5check debian/casper/usr/lib/casper
	#install -m644 casper.conf debian/casper/etc/casper.conf

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installexamples -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

#binary-arch: build install
#	dh_testdir
#	dh_testroot
#	dh_installdocs -a
#	dh_installman -a
#	dh_installexamples -a
#	#dh_installinit -a -r --no-start -- start 89 0 6 .
#	dh_installchangelogs -a
#	dh_link -a
#	dh_strip -a
#	dh_compress -a
#	dh_fixperms -a
#	dh_installdeb -a
#	dh_gencontrol -a
#	dh_md5sums -a
#	dh_builddeb -a

binary: binary-indep # binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## uniklu-imager 0.4-21

=== Makefile ===
DST=debian/uniklu-imager

all:

install:
	# config additions:
	#mkdir -p $(DST)/boot/grub
	#mkdir -p $(DST)/ramdisk
	#mkdir -p $(DST)/etc/init.d
	#for i in etc/init.d/* ;do \
	#  install -m 755 $$i $(DST)/etc/init.d/; \
	#done
	mkdir -p $(DST)/bin
	cp grub1 $(DST)/bin/
	chmod 755 $(DST)/bin/grub1
	

clean:
	rm -rf $(DST)/usr
	rm -rf $(DST)/etc

=== debian/changelog ===
uniklu-imager (0.4-21) unstable; urgency=low

  * configure keyboard

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Thu, 27 Sep 2012 09:14:33 +0000

uniklu-imager (0.4-20) unstable; urgency=low

  * fix uni-klu config

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Thu, 27 Sep 2012 08:45:10 +0000

uniklu-imager (0.4-19) unstable; urgency=low

  * fix network configuration

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Thu, 27 Sep 2012 06:51:50 +0000

uniklu-imager (0.4-18) unstable; urgency=low

  * chvt 1

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Thu, 27 Sep 2012 06:10:07 +0000

uniklu-imager (0.4-17) unstable; urgency=low

  * run uniklu config check only once

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Mon, 24 Sep 2012 11:48:09 +0000

uniklu-imager (0.4-16) unstable; urgency=low

  * works?

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Mon, 24 Sep 2012 11:31:32 +0000

uniklu-imager (0.4-15) unstable; urgency=low

  * new partition specifications work

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Fri, 21 Sep 2012 21:47:10 +0000

uniklu-imager (0.4-14) unstable; urgency=low

  * fix fstab

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Fri, 21 Sep 2012 20:22:22 +0000

uniklu-imager (0.4-13) unstable; urgency=low

  * fix

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Fri, 21 Sep 2012 20:07:19 +0000

uniklu-imager (0.4-12) unstable; urgency=low

  * fix sizes

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Fri, 21 Sep 2012 19:48:09 +0000

uniklu-imager (0.4-10) unstable; urgency=low

  * add (u)mount cmds for all filesystems

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Fri, 21 Sep 2012 18:54:07 +0000

uniklu-imager (0.4-9) unstable; urgency=low

  * rework partition data, now specify:
    part1=LABEL:MOUNTPNT:FSTYPE:MINSIZE:MAXSIZE:PARTTYPE

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Fri, 21 Sep 2012 17:30:58 +0000

uniklu-imager (0.4-8) unstable; urgency=low

  * more fixes

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Fri, 21 Sep 2012 09:21:33 +0000

uniklu-imager (0.4-7) unstable; urgency=low

  * really add grub1
  * more debugging

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Fri, 21 Sep 2012 08:20:11 +0000

uniklu-imager (0.4-6) unstable; urgency=low

  * fix initramfs path

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Thu, 20 Sep 2012 19:27:02 +0000

uniklu-imager (0.4-5) unstable; urgency=low

  * fix debug settings

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Thu, 20 Sep 2012 19:06:59 +0000

uniklu-imager (0.4-4) unstable; urgency=low

  * add imageformat to commandline parser

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Thu, 20 Sep 2012 18:39:11 +0000

uniklu-imager (0.4-3) unstable; urgency=low

  * remove mdadm dependency

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Thu, 20 Sep 2012 18:19:55 +0000

uniklu-imager (0.4-2) unstable; urgency=low

  * no longer depend on grub 1

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Thu, 20 Sep 2012 17:09:38 +0000

uniklu-imager (0.4-1) unstable; urgency=low

  * new attempt under precise

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Thu, 20 Sep 2012 16:58:57 +0000

uniklu-imager (0.3-1) unstable; urgency=low

  * New upstream release for natty/katyy

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 23 Aug 2011 07:10:22 +0000

=== debian/control ===
Source: uniklu-imager
Section: admin
Maintainer: Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>
Priority: optional
Build-Depends: cdbs
Standards-Version: 3.5.2


Package: uniklu-imager
Architecture: all
Depends: pump, module-init-tools | modutils, initramfs-tools, bash, rsync, gawk, e2fsprogs, parted, partimage, util-linux, bc, ethtool, binutils, lvm2, bind9-host, ntfsprogs
Description: initramfs and init script modifications for generating/installing images
 This package contains the scripts and configuration snippets which help
 to generate and install installation images.
